API Docs
AbsenceAbsence Additional ContingentAbsence ContingentAccountAccountingAccounting ContactAdded ValueAsset AccountAttachmentAttendanceAuthBank AccountCatalogCommissionContactCraftCredit InvoiceCreditorCustom FilterCustom ReportCustomerCustomFieldDashboardDebitorEmailEmployment ContractEstimateFinanceFinance JournalFinance Journal PositionsFinDocCategoryFollowupForecastGeneral InfoHolidayIntegrationsInvoiceJobJob TasksLogin MethodMeMetricsOffice LocationOrder ConfirmationOrganisationPaymentPersonProcedureProcedure ViewPurchase InvoicePurchase OrderReportResource PlanningSnippetTargetTeamTemplateTimeUserUser CraftUser GroupUser Group ActionsUser Group UsersWorkPattern
GETAccount
/account/{account_id}
Get a single account
Get a single account
Base URL
https://<tenant>.dieagenturverwaltung.de/api/v2
Required Security
ApiKeyAuth (Authorization: Session Token)
Produces
application/json
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| account_id | integer | Yes | Account ID |
cURL
curl -X GET 'https://<tenant>.dieagenturverwaltung.de/api/v2/account/123' \
-H 'Accept: application/json' \
-H 'Authorization: Session Token'Responses
200OK
app.Accountapplication/json
Example
{
"accumulated_agency_service": "string",
"accumulated_budget": "string",
"accumulated_external_service": "string",
"address": {...},
"address_id": 123,
"asp_id": 123,
"contract_budget_agency_service": 123.45,
"contract_budget_external_service": 123.45,
"contract_type": "Honorarvertrag",
"custom_fields": [
{...}
],
"customer": {...},
"customer_id": 123,
"date_contract_period_end": 123,
"date_contract_period_start": 123,
"date_created": 123,
"date_modified": 123,
"description": "string",
"disable_authentication": true,
"due_days": 123,
"footNote_akonto": "string",
"footNote_dueNotice": "string",
"footNote_dunning": "string",
"footNote_finalNotice": "string",
"footNote_gutschr": "string",
"footNote_kv": "string",
"footNote_purchase_order": "string",
"footNote_rg_aus": "string",
"headNote_akonto": "string",
"headNote_dueNotice": "string",
"headNote_dunning": "string",
"headNote_finalNotice": "string",
"headNote_gutschr": "string",
"headNote_kv": "string",
"headNote_purchase_order": "string",
"headNote_rg_aus": "string",
"hide_external_services": true,
"id": 123,
"identification_code": "string",
"invoice_address": {...},
"invoice_address_id": 123,
"invoice_email": "string",
"invoice_organisation": {...},
"invoice_organisation_id": 123,
"invoice_person": {...},
"invoice_person_id": 123,
"jobs": [
{...}
],
"lang": "string",
"name": "string",
"organisation": {...},
"organisation_id": 123,
"person": {...},
"person_id": 123,
"small_customer": {...},
"stage_of_completion": 123.45,
"stationary_id": 123,
"status": "aktiv",
"tabLeft_akonto": "string",
"tabLeft_dueNotice": "string",
"tabLeft_dunning": "string",
"tabLeft_finalNotice": "string",
"tabLeft_gutschr": "string",
"tabLeft_kv": "string",
"tabLeft_purchase_order": "string",
"tabLeft_rg_aus": "string",
"tabRight_akonto": "string",
"tabRight_dueNotice": "string",
"tabRight_dunning": "string",
"tabRight_finalNotice": "string",
"tabRight_gutschr": "string",
"tabRight_kv": "string",
"tabRight_purchase_order": "string",
"tabRight_rg_aus": "string",
"user_id": 123,
"valid_days": 123
}400Bad Request
rest_errors.Errorapplication/json
Example
{
"code": 123,
"extras": {...},
"message": "string",
"status_code": 123
}401Unauthorized
rest_errors.Errorapplication/json
Example
{
"code": 123,
"extras": {...},
"message": "string",
"status_code": 123
}403Forbidden
rest_errors.Errorapplication/json
Example
{
"code": 123,
"extras": {...},
"message": "string",
"status_code": 123
}404Not Found
rest_errors.Errorapplication/json
Example
{
"code": 123,
"extras": {...},
"message": "string",
"status_code": 123
}500Internal Server Error
rest_errors.Errorapplication/json
Example
{
"code": 123,
"extras": {...},
"message": "string",
"status_code": 123
}